using System;
using Server;

namespace Server.Items
{
	[Furniture]
	public class HousePlantA : Item
	{
		[Constructable]
		public HousePlantA() : base( 0x18B8 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantA( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantB : Item
	{
		[Constructable]
		public HousePlantB() : base( 0x18B9 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantB( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantC : Item
	{
		[Constructable]
		public HousePlantC() : base( 0x18BA )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantC( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantD : Item
	{
		[Constructable]
		public HousePlantD() : base( 0x18BB )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantD( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantE : Item
	{
		[Constructable]
		public HousePlantE() : base( 0x18BC )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantE( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantF : Item
	{
		[Constructable]
		public HousePlantF() : base( 0x18BD )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantF( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantG : Item
	{
		[Constructable]
		public HousePlantG() : base( 0x18BE )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantG( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantH : Item
	{
		[Constructable]
		public HousePlantH() : base( 0x18BF )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantH( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantI : Item
	{
		[Constructable]
		public HousePlantI() : base( 0x18C0 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantI( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantJ : Item
	{
		[Constructable]
		public HousePlantJ() : base( 0x18C1 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantJ( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantK : Item
	{
		[Constructable]
		public HousePlantK() : base( 0x18C2 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantK( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantL : Item
	{
		[Constructable]
		public HousePlantL() : base( 0x18C3 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantL( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantM : Item
	{
		[Constructable]
		public HousePlantM() : base( 0x18C4 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantM( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantN : Item
	{
		[Constructable]
		public HousePlantN() : base( 0x18C5 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantN( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantO : Item
	{
		[Constructable]
		public HousePlantO() : base( 0x18C6 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantO( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class HousePlantP : Item
	{
		[Constructable]
		public HousePlantP() : base( 0x18C7 )
		{
			Name = "plant";
			Weight = 10.0;
		}

		public HousePlantP( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}